Bug 443011 - Touchpad system settings is missing option to set click method (libinput)
Summary: Touchpad system settings is missing option to set click method (libinput)
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Applications
Component: kcm_touchpad (show other bugs)
Version: 5.22.4
Platform: Other Linux
: HI normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords: wayland
Depends on:
Blocks:
 
Reported: 2021-09-27 13:03 UTC by Till Schäfer
Modified: 2021-10-22 19:22 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.23.2


Attachments
screenshot of touchpad kcm (103.78 KB, image/png)
2021-09-27 13:06 UTC, Till Schäfer
Details
screenshot under plasma 5.23.0 (163.52 KB, image/png)
2021-10-14 16:12 UTC, Till Schäfer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Till Schäfer 2021-09-27 13:03:36 UTC
The touchpad kcm for libinput (I am trying to move to wayland) is missing an option to set the click method.

For example, my t440p clickpad is always configured to click method "button-areas", while I prefer the clickfinger method. Without this option, the two finger tab is working as as expected for right click, but not the clickpads "two-finger-click". The hardware (see below) is supporting this option.
The click method can be set successfully via dbus with

qdbus org.kde.KWin /org/kde/KWin/InputDevice/event17 org.kde.KWin.InputDevice.clickMethodClickfinger true
 
Thus, I propose to add the option "click method" to the libinput touchpad kcm. 


T440p touchpad:
# libinput list-devices
Device:           SynPS/2 Synaptics TouchPad
Kernel:           /dev/input/event17
Group:            7
Seat:             seat0, default
Size:             108x95mm
Capabilities:     pointer gesture
Tap-to-click:     disabled
Tap-and-drag:     enabled
Tap drag lock:    disabled
Left-handed:      disabled
Nat.scrolling:    disabled
Middle emulation: disabled
Calibration:      n/a
Scroll methods:   *two-finger edge 
Click methods:    *button-areas clickfinger 
Disable-w-typing: enabled
Accel profiles:   flat *adaptive
Rotation:         n/a

Operating System: Gentoo Linux
KDE Plasma Version: 5.22.5
KDE Frameworks Version: 5.86.0
Qt Version: 5.15.2
Kernel Version: 5.13.19-gentoo (64-bit)
Graphics Platform: Wayland
Processors: 8 × Intel® Core™ i7-4810MQ CPU @ 2.80GHz
Memory: 15.5 GiB of RAM
Graphics Processor: Mesa DRI Intel® HD Graphics 4600
Comment 1 Till Schäfer 2021-09-27 13:06:25 UTC
Created attachment 141948 [details]
screenshot of touchpad kcm

I just saw, that there was a previous (fixed) bug report about this -> Bug 387156

However, the described option in this bug report does not appear to me (see screenshot).
Comment 2 Till Schäfer 2021-10-14 16:12:37 UTC
Created attachment 142438 [details]
screenshot under plasma 5.23.0

Interestingly, the option is displayed, but greyed out under plasma 5.23.
Comment 3 Bug Janitor Service 2021-10-22 10:54:58 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/629
Comment 4 Nate Graham 2021-10-22 19:22:31 UTC
Git commit 085874b85383fe6b2c9eee18704ceaa5bb92a3de by Nate Graham, on behalf of Julius Zint.
Committed on 22/10/2021 at 19:22.
Pushed by ngraham into branch 'Plasma/5.23'.

KCM Touchpad: Load config for touchpad on init

Otherwise the UI will be initialized with the default values of constant
properties like supportsClickMethodAreas or
supportsClickMethodClickfinger. This leads to available configuration
options being invisible, even though they are supported by the touchpad.
FIXED-IN: 5.23.2


(cherry picked from commit 8be9929bb16bdf8a9ddc2a33e3b3eaa1ec3fa0a5)

M  +1    -1    kcms/touchpad/backends/kwin_wayland/kwinwaylandbackend.cpp

https://invent.kde.org/plasma/plasma-desktop/commit/085874b85383fe6b2c9eee18704ceaa5bb92a3de